> ## Documentation Index
> Fetch the complete documentation index at: https://cubed3-feat-druid-driver-streaming.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment



## OpenAPI

````yaml /api-reference/api.yaml get /v1/deployments/{deploymentId}
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
paths:
  /v1/deployments/{deploymentId}:
    get:
      tags:
        - Deployments
      summary: Get deployment
      operationId: getDeployment
      parameters:
        - in: path
          name: deploymentId
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Deployment'
          description: ''
components:
  schemas:
    Deployment:
      properties:
        creationStep:
          $ref: '#/components/schemas/CreationStep'
        deploymentUrl:
          type: string
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
        - deploymentUrl
        - creationStep
      type: object
    CreationStep:
      enum:
        - project
        - upload
        - schema
        - github
        - ssh
        - databases
        - ready
        - demo
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````